Subject: Re: [Bitcoin-development] Suggestion: allow receivers to pay optional fee for transactions without fees

From: Dâniel Fraga <[email-masked]>
Date: Fri, 17 Jan 2014 00:06:13 -0200

This is good news! Thank you very much Ben for the answer.

On Thu, 16 Jan 2014 17:52:39 -0800
Ben Davenport <[email-masked]> wrote:

> You can create a transaction which spends the output to yourself, attaching
> a fee to that transaction. In order for miners to grab the transaction fee
> on that transaction, they would have to also mine the original transaction.
> Likely, you'd have to do this by hand, but software could be written to
> simplify doing it. No protocol changes needed.
> 
> Ben
> 
> 
> On Thu, Jan 16, 2014 at 5:39 PM, Dâniel Fraga <[email-masked]> wrote:
> 
> >         Someone sent me a very small donation (0.00121 BTC) without
> > paying fees. I don't know who sent it and I know this type of
> > transaction are usually rejected by miners. Take a look at it below:
> >
> > https://imageshack.com/i/ngv5g8j
> >
> >         Even with the a low probability of confirmation, I
> > was hoping that after a few days it could be included in a block, but
> > Blockchain.info simply removed it (I know the sender sent from a
> > Blockchain.info wallet, because he added a note):
> >
> >
> > https://blockchain.info/pt/tx/3cde47ee3979a46b36bd61bdb0caf9c11dea58ac99f17fb17b95728766de70e0
> >
> >         As you can see now it shows as "Transaction not found".
> >
> >         My suggestion is: it would be nice if the receiver could have a
> > chance to pay the fee when the sender didn't pay any fee. For example,
> > I could pay a fee of 0.0001 BTC and receive 0.00121 BTC. In the end I'd
> > have 0.00111 BTC. Better than nothing.
> >
> >         Would it be technically possible to do that or it would be too
> > much trouble to change the protocol to allow the receiver to pay an
> > optional fee?
> >
> >         Ps: I'm not a programmer, but if the receiver could
> > optionally "attach" some fee to the transaction, even if he/she didn't
> > sent the transaction, this could be solved. Bitcoin-qt could even warn
> > the receiver he received a transaction without fee and if he wants
> > faster confirmation he could pay a fee.
> >
> >         Ps2: if this is a silly suggestion, just ignore it. I tried on
> > Bitcointalk, but nobody answered.
> >
> > --
> > Linux 3.12.0: One Giant Leap for Frogkind
> > http://www.youtube.com/DanielFragaBR
> > http://mcxnow.com
> > Bitcoin: 12H6661yoLDUZaYPdah6urZS5WiXwTAUgL
> >
> >
> >
> >
> > ------------------------------------------------------------------------------
> > CenturyLink Cloud: The Leader in Enterprise Cloud Services.
> > Learn Why More Businesses Are Choosing CenturyLink Cloud For
> > Critical Workloads, Development Environments & Everything In Between.
> > Get a Quote or Start a Free Trial Today.
> >
> > http://pubads.g.doubleclick.net/gampad/clk?id=119420431&iu=/4140/ostg.clktrk
> > _______________________________________________
> > Bitcoin-development mailing list
> > [email-masked]
> > https://lists.sourceforge.net/lists/listinfo/bitcoin-development
> >
> 

-- 
Linux 3.12.0: One Giant Leap for Frogkind
http://www.youtube.com/DanielFragaBR
http://mcxnow.com
Bitcoin: 12H6661yoLDUZaYPdah6urZS5WiXwTAUgL